Problems with install of Winbind on Debian 8 guest image

Problems with install of Winbind on Debian 8 guest image

Postby koala_berry » Fri Feb 03, 2017 12:23 pm

I am facing some issue when I want to install Winbind in the Debian 8 guest image (the 32 bit windows application is supposed to need winbind).

I have a Raspberry 3 Model B with Raspbian installed.

After the install of Exagear I move into the Debian 8 guest system that is installed automatically, when I use the exagear installscript:

Code: Select all
$ exagear


The next step I enter is the following:

Code: Select all
$ sudo apt-get winbind


Then I run into the following error durinng installation:

Code: Select all
...
Setting up samba (2:4.2.14+dfsg-0+deb8u2) ...
Adding group `sambashare' (GID 119) ...
Done.
Job for smbd.service failed. See 'systemctl status smbd.service' and 'journalctl -xn' for details.
invoke-rc.d: initscript smbd, action "start" failed.
dpkg: error processing package samba (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of winbind:
 winbind depends on samba (= 2:4.2.14+dfsg-0+deb8u2); however:
  Package samba is not configured yet.

dpkg: error processing package winbind (--configure):
 dependency problems - leaving unconfigured
Setting up logrotate (3.8.7-1+b1) ...
Setting up exim4-config (4.84.2-2+deb8u3) ...
Adding system-user for exim (v4)
Setting up exim4-base (4.84.2-2+deb8u3) ...
exim: DB upgrade, deleting hints-db
Setting up exim4-daemon-light (4.84.2-2+deb8u3) ...
Job for exim4.service failed. See 'systemctl status exim4.service' and 'journalctl -xn' for details.
invoke-rc.d: initscript exim4, action "start" failed.
dpkg: error processing package exim4-daemon-light (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of bsd-mailx:
 bsd-mailx depends on default-mta | mail-transport-agent; however:
  Package default-mta is not installed.
  Package exim4-daemon-light which provides default-mta is not configured yet.
  Package mail-transport-agent is not installed.
  Package exim4-daemon-light which provides mail-transport-agent is not configured yet.

dpkg: error processing package bsd-mailx (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of exim4:
 exim4 depends on exim4-daemon-light | exim4-daemon-heavy | exim4-daemon-custom; however:
  Package exim4-daemon-light is not configured yet.
  Package exim4-daemon-heavy is not installed.
  Package exim4-daemon-custom is not installed.

dpkg: error processing package exim4 (--configure):
 dependency problems - leaving unconfigured
Setting up file (1:5.22+15-2+deb8u3) ...
Setting up attr (1:2.4.47-2) ...
Setting up libalgorithm-c3-perl (0.09-1) ...
Setting up libarchive-extract-perl (0.72-1) ...
Setting up libcgi-pm-perl (4.09-1) ...
Setting up libfcgi-perl (0.77-1+deb8u1) ...
Setting up libcgi-fast-perl (1:2.04-1) ...
Setting up libclass-c3-perl (0.26-1) ...
Setting up libclass-c3-xs-perl (0.13-2+b1) ...
Setting up libcpan-meta-perl (2.142690-1) ...
Setting up libparams-util-perl (1.07-2+b1) ...
Setting up libsub-install-perl (0.928-1) ...
Setting up libdata-optlist-perl (0.109-1) ...
Setting up libmro-compat-perl (0.12-1) ...
Setting up libsub-exporter-perl (0.986-1) ...
Setting up libdata-section-perl (0.200006-1) ...
Setting up liblog-message-perl (0.8-1) ...
Setting up liblog-message-simple-perl (0.10-2) ...
Setting up libmodule-build-perl (0.421000-2+deb8u1) ...
Setting up libmodule-pluggable-perl (5.1-1) ...
Setting up libmodule-signature-perl (0.73-1+deb8u2) ...
Setting up libpackage-constants-perl (0.04-1) ...
Setting up libpod-latex-perl (0.61-1) ...
Setting up libregexp-common-perl (2013031301-1) ...
Setting up libpod-readme-perl (0.11-1) ...
Setting up libtext-template-perl (1.46-1) ...
Setting up libsoftware-license-perl (0.103010-3) ...
Setting up libterm-ui-perl (0.42-1) ...
Setting up libtext-soundex-perl (3.4-1+b2) ...
Setting up psmisc (22.21-2) ...
Setting up rename (0.20-3) ...
update-alternatives: using /usr/bin/file-rename to provide /usr/bin/rename (rename) in auto mode
Setting up samba-vfs-modules (2:4.2.14+dfsg-0+deb8u2) ...
Processing triggers for systemd (215-17+deb8u2) ...
Processing triggers for libc-bin (2.19-18+deb8u1) ...
Errors were encountered while processing:
 samba
 winbind
 exim4-daemon-light
 bsd-mailx
 exim4
E: Sub-process /usr/bin/dpkg returned an error code (1)


I already formatted my SD card 3 times what also means starting from scratch 3 times, but I always run into the same error. I really tried all ways to fix this issue that I could find on google, but it always comes back to this error.

Does anyone know how to fix this issue or what is causing it? Or can anybody reproduce this issue?

Any help would be very much appreciated. This cost me already a lot of my free time and I do not know anything that I could even try...
koala_berry
 
Posts: 11
Joined: Wed Jan 25, 2017 1:47 pm

Re: Problems with install of Winbind on Debian 8 guest image

Postby koala_berry » Fri Oct 06, 2017 3:18 pm

This issue is fixed with version 2.2 of Exagear!!
koala_berry
 
Posts: 11
Joined: Wed Jan 25, 2017 1:47 pm


Return to ExaGear Desktop

Who is online

Users browsing this forum: No registered users and 2 guests

cron